/**
 * ------------------------------------------------------
 * BASE PROFILE CSS
 * ------------------------------------------------------
 */

#profile {
    margin-top: 20px;
    color: #ffffff;
}

p.uppercase {
    text-transform: uppercase;
}

/**
 * ------------------------------------------------------
 * PROFILE BOX
 * ------------------------------------------------------
 */

#profile .profileBox {
    background-color: #1c1c1c;
    border-radius: 7px 7px 7px 7px;
    -moz-border-radius: 7px 7px 7px 7px;
    -webkit-border-radius: 7px 7px 7px 7px;
    padding: 10px 15px;
    margin-bottom: 20px;
    position: relative;
    z-index: 2;
}

#profile .profileBoxRow {
    margin-bottom: 10px;
}

#profile ul {
    list-style: none;
}

/**
 * ------------------------------------------------------
 * PROFILE SAVE BUTTON
 * ------------------------------------------------------
 */

#profile .profileSaveButton {
    color: #000000;
    background: #E2CB5B;
}

/**
 * ------------------------------------------------------
 * USER DATA BOX
 * ------------------------------------------------------
 */

#profile .userDataBox {
    margin-top: 60px;
}

#profile .userDataBox .profileCustomElement {
    padding: 0px;
}

#profile .userDataBox form p {
    font-weight: bold;
    color: #6B6B6B;
}

#profile .userDataBox .profileBoxRow input {
    color: white;
    background: black;
    border: none;
    width: 170px;
    border-radius: 3px 3px 3px 3px;
}

#profile .userDataBox .ui-selectmenu-button {
    color: white;
    background: black;
    border: none;
    width: 170px;
}

.ui-selectmenu-menu .ui-menu {
    color: white;
    background: black;
}

#profile .userDataBox .profileInfoBar {
    margin-bottom: 20px;
}

#profile .userDataBox .profileInfoCol {
    background-color: #121212;
    height: 50px;
}

#profile .userDataBox .profileInfoCol .t-shirt {
    position: absolute;
    width: 55px;
    height: 60px;
    right: 20px;
    bottom: 0;
}

#profile .userDataBox .profileInfoCol .team-name,
#profile .userDataBox .profileInfoCol .team-level-name {
    font-weight: bold;
    width: 220px;
    background: #121212;
    border: none;
    box-shadow: none;
    outline: none;
}

#profile .userDataBox .profileInfoCol .team-name {
    font-size: 16px;
    color: white;
    padding-top: 5px;
    margin-bottom: 0px;
}

#profile .userDataBox .profileInfoCol .team-level-name {
    font-size: 12px;
    color: #6B6B6B;
    font-style: italic;
}

#profile .userDataBox .profileInfoCol .team-name::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: white;
}

#profile .userDataBox .profileInfoCol .team-name::-moz-placeholder { /* Firefox 19+ */
    color: white;
}

#profile .userDataBox .profileInfoCol .team-name:-ms-input-placeholder { /* IE 10+ */
    color: white;
}

#profile .userDataBox .profileInfoCol .team-name:-moz-placeholder { /* Firefox 18- */
    color: white;
}

#profile .userDataBox .profileInfoCol .player-number {
    position: absolute;
    right: 4px;
    margin-right: 18px;
    font-size: 20px;
    color: #000000;
    width: 50px;
    margin-top: 9px;
    text-align: center;
    font-weight: bold;
    background: transparent;
    border: none;
    box-shadow: none;
    outline: none;
}

.player-number::-webkit-outer-spin-button,
.player-number::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

#profile .userDataBox .profileImageBar .fb-photo {
    position: absolute;
    width: 120px;
    height: 120px;
    border-radius: 50%;
    bottom: 0;
    margin-bottom: 20px;
}

#profile .userDataBox .profileImageBar {
    height: 80px;
}

#profile .userDataBox .profileImageCol {
    height: 80px;
}

#profile .userDataBox .profileImageCol .first-name {
    font-size: 20px;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    font-weight: bold;
    margin-top: 40px;
    margin-left: 50px;
    position: absolute;
}

#profile .userDataBox .profileImageCol .second-name {
    font-size: 20px;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    font-weight: bold;
    position: absolute;
    margin-top: 60px;
    margin-left: 50px;
}

#profile .userDataBox span.unit {
    position: absolute;
    margin-left: -25px;
    margin-top: 3px;
    color: white;
}

/**
 * ------------------------------------------------------
 * PROFILE SKILL ROW
 * ------------------------------------------------------
 */

#profile .profileSkill .skillName a {
    margin: 0px;
    color: #ffffff;
}

#profile .profileSkill {
    margin-bottom: 10px;
}

#profile .skillName {
    font-size: 14px;
    padding-left: 5px;
    padding-right: 0px;
}

#profile .skillNameInGroup {
    padding-left: 15px;
    padding-right: 0px;
}

#profile .categoryGroupName {
    font-style: italic;
    padding-left: 5px;
    padding-bottom: 10px;
    font-size: 13px;
}

#profile .profileSkill .sliderValueWrapper {
    padding: 0px;
}

#profile .profileCategoryName {
    font-size: 20px;
    margin-bottom: 10px;
}

#profile .physical .profileCategoryName {
    color: #009EE0;
}

#profile .technical .profileCategoryName {
    color: #FA5005;
}

#profile .mental .profileCategoryName {
    color: #21DB2F;
}

#profile .meta .profileCategoryName {
    color: #FF0131;
}

#profile .freestyle .profileCategoryName {
    color: #6729d6;
}

/**
 * ------------------------------------------------------
 * PROFILE SLIDERS
 * ------------------------------------------------------
 */

#userSlider {
    width: 100%;
    height: 20px;
}

#tbtSlider {
    width: 100%;
    height: 20px;
}

#tbtSlider .slider-handle.custom::before {
    content: '';
    color: #cc00ff;
}

#tbtSlider .slider-handle {
    width: 0px;
    height: 0px;
}

.physical #userSlider .slider-selection,
.physical #userSlider .slider-handle {
    background: #009EE0;
}

.physical #tbtSlider .slider-selection {
    background: #2B30FC;
}

.technical #userSlider .slider-selection,
.technical #userSlider .slider-handle {
    background: #FA5005;
}

.technical #tbtSlider .slider-selection {
    background: #C54200;
}

.mental #userSlider .slider-selection,
.mental #userSlider .slider-handle {
    background: #21DB2F;
}

.mental #tbtSlider .slider-selection {
    background: #39B100;
}

.meta #userSlider .slider-selection,
.meta #userSlider .slider-handle {
    background: #FF0131;
}

.meta #tbtSlider .slider-selection {
    background: #BF0303;
}

.freestyle #userSlider .slider-selection,
.freestyle #userSlider .slider-handle {
    background: #6729d6;
}

.freestyle #tbtSlider .slider-selection {
    background: #6729d6;
}

#profile .slider-track-high,
#profile .slider-track {
    background: #212122;
}

/**
 * ------------------------------------------------------
 * STAR RATING
 * ------------------------------------------------------
 */

.profileImageCol {
    position: relative;
}

.starRating {
    position: absolute;
    bottom: 0;
    right: 10px;
    margin-bottom: 60px;
    height: 70px;
}

.user-rating {
    position: absolute;
    top:-10px;
    left: 0px;
    font-weight: bold;
    color: white;
    font-size: 30px;
}

.user-max-rating {
    font-size: 15px;
    font-weight: bold;
    color: #E2CB5B;
    vertical-align: super;
    margin-top: 30px;
}

/**
 * ------------------------------------------------------
 * MEDIA GALLERY BUTTON
 * ------------------------------------------------------
 */

#profile .mediaGalleryButton {
    background-color: #E2CB5B;
    border-radius: 7px 7px 7px 7px;
    border: 0px solid #000000;
    padding: 10px 15px;
    margin-bottom: 20px;
    margin-top: -30px;
    height: 60px;
    position: relative;
    z-index: 1;
    text-align: center;
}

#profile .media-img {
    width: 80px;
    height: 40px;
    margin-top: 5px;
    float: right;
}

#profile .media-text {
    font-size: 17px;
    font-weight: bold;
    color: black;
    margin-top: 13px;
}

/**
 * ------------------------------------------------------
 * PROFILE TABS
 * ------------------------------------------------------
 */

#profileTabs {
    background: none;
    border: none;
    padding: 0px;
}

#profileTabs ul.ui-tabs-nav {
    padding: 0px;
    border: none;
    background-color: #2e2e2e;
    z-index: 1;
}

#profileTabs li.ui-tab {
    margin: 0 0 -10px 0;
    border-radius: 7px 7px 0 0;
    height: 80px;
    border-top: 1px solid #323232;
    border-left: 1px solid #323232;
    border-right: 1px solid #9a904e;
    background-color: #9a904e;
    outline: none;
}

#profileTabs li.ui-tab:nth-child(3) {
    border-right: 1px solid #323232;
}

#profileTabs li.ui-tab a {
    height: 70px;
    outline: none
}

#profileTabs li.ui-state-active {
    background-color: #E2CB5B;
}

#profileTabs li.ui-state-active a {
    color: black;
    font-weight: bold;
}

#profileTabs .tabContentName {
    color: white;
    font-weight: bold;
    text-align: center;
    font-size: 20px;
    padding-bottom: 10px;
}

/**
 * ------------------------------------------------------
 * SKILL BOX
 * ------------------------------------------------------
 */

#profile .profileSkillTitle {
    font-weight: bold;
    text-align: center;
    font-size: 20px;
    margin-bottom: 30px;
    margin-top: 25px;
}

#profile .skillBox {
    color: white;
    padding: 10px 15px;
}

/**
 * ------------------------------------------------------
 * QUIZ TAB
 * ------------------------------------------------------
 */

#quizResultTabContent .passed {
    color: green;
}

#quizResultTabContent .notPassed {
    color: red;
}

/**
 * ------------------------------------------------------
 * TABS HEADERS
 * ------------------------------------------------------
 */

.selfRatingTab {
    background-image: url("../images/profile/self_rating.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 50px 35px;
}

.tbtRatingTab {
    background-image: url("../images/profile/tbt_rating.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 50px 55px;
}

.quizResultTab {
    background-image: url("../images/profile/quiz_result.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 45px 55px;
}

#profile .score-details {
    padding: 0px 40px;
}

#profile canvas {
    margin-top: 30px;
}

#profile table {
    color: white;
    width: 100%;
}

#profile table tr td {
    padding: 5px 0px;
}

#profile table tr {
    border-bottom: 1px solid #262626;
}
